Update Work-in-Progress Catalog Item
1 min
PUT
https://api.upstartcommerce.com/v1/catalog/{catalogItemId}/wip
catalogItemIdstringUnique identifier for a catalog item.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobjectThe complete structure of the catalog item with the values to be updated.
200<p>Success-the item was updated.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
412Precondition failed. This request has been refused.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/catalog/{catalogItemId}/wip \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"dynamicProperties": "",
"hidden": false,
"ignoreInventory": false,
"name": "Green Flubber",
"offeredStandardWarranty": {
"resource": {
"nId": ""
},
"type": "DrupalTermsAndConditions"
},
"offeredProtectionPlanType": {
"type": ""
},
"productItems": {
"purchasable": true,
"shippingPackages": [
{
"dimensions": {
"width": 18.5,
"length": 18.5,
"height": 18.5,
"unit": ""
},
"weight": {
"value": "",
"unit": ""
}
}
],
"skuId": "",
"weight": {
"value": "",
"unit": ""
},
"disabled": false,
"skuDimensions": [
{
"name": "",
"width": 18.5,
"length": 18.5,
"height": 18.5,
"unit": ""
}
],
"pimVariantId": "N/A",
"dimensions": {
"width": 18.5,
"length": 18.5,
"height": 18.5,
"unit": ""
}
},
"relatedIds": [],
"shippingMethodIds": [],
"siteIds": [],
"archived": false
}'